/* Namensraeume */
if (org == null || typeof(org) != "object") { var org = new Object();}
if (org.jsxp == null || typeof(org.jsxp) != "object") { org.jsxp = new Object();}
if (org.jsxp.js == null || typeof(org.jsxp.js) != "object") { org.jsxp.js = new Object();}
if (org.jsxp.js.form == null || typeof(org.jsxp.js.form) != "object") { org.jsxp.js.form = new Object();}

/* "class" FormSupport */
org.jsxp.js.form = {
	
	getFormSupport: function getFormSupport() {
		return org.jsxp.js.form.FormSupport.instance;
	},
	
	getLocation: function getLocation() {
		var location = document.URL;
		if (location && location.indexOf('?') >= 0) {
			location = location.substring(0, location.indexOf('?'));
		}
		return location;
	},
		
	getLocationWithQuery: function getLocationWithQuery() {
		var location = document.URL;
		return location;
	}
};

org.jsxp.js.form.FormSupport = function() {	
	this.getFormForElementId = 
		function(queryElementRootId) { 
		var form = document.getElementById(queryElementRootId);
		while (form.nodeName.toLowerCase() != "form") {
			if (!form.parentNode) {
				alert("no form found: "+queryElementRoot+", "+form.nodeName);
				return null;
			}
			form = form.parentNode;
		}
		return form;
	};
	
	this.getFormForElement = 
		function(queryElementRoot) { 
		var form = queryElementRoot;
		while (form.nodeName.toLowerCase() != "form") {
			if (!form.parentNode) {
				alert("no form found: "+queryElementRoot+", "+form.nodeName);
				return null;
			}
			form = form.parentNode;
		}
		return form;
	};
	
	var processField = 
	function (node, get) {
		var type = null;
		
		if (node && node.attributes) {
			type = node.attributes.getNamedItem('type');
			if (type) {
				type = type.value;
			}
		}
		
		if (node && node.nodeName && node.nodeName.toLowerCase() == 'input' && type && (
			type.toLowerCase() == 'file' ||
			type.toLowerCase() == 'hidden' ||
			type.toLowerCase() == 'image' ||
			type.toLowerCase() == 'password' ||
			type.toLowerCase() == 'text')
		) {
			return node.name + "=" + encodeURIComponent(node.value) + "&";
		}
		
		if (node && node.nodeName && node.nodeName.toLowerCase() == 'input' && type && 
				type.toLowerCase() == 'radio' && node.checked==true
			) {
				return node.name + "=on" + "&";
		}
		
		if (node && node.nodeName && node.nodeName.toLowerCase() == 'input' && type && 
				type.toLowerCase() == 'checkbox' && node.checked==true
			) {
				return node.name + "=on" + "&";
		}
		
		if (node && node.nodeName && node.nodeName.toLowerCase() == 'textarea') {
			return node.name + "=" + encodeURIComponent(node.value) + "&";	
		}
		
		return "";
	};
	
	var processFieldTree = 
	function (element, get) {
		var uri = processField(element, get);
		var childs = element.childNodes;
		for (var i = 0; i < childs.length; i++) {
			var node = childs.item(i);
			uri = uri + processFieldTree(node);
		}
		
		return uri;
	};
	
	this.getFormEnctype = 
		function(form) {
			var enctype = form.attributes.getNamedItem('enctype');
			if (!enctype) {
				enctype = 'application/x-www-form-urlencoded';
			} else {
				enctype = enctype.value;
			}
			return enctype;
		};
	
	this.getFormMethod = 
	function(form) {
		var method = form.attributes.getNamedItem('method');
		if (!method) {
			method = "get";
		} else {
			method = method.value;
		}
		return method;
	};
	
	this.getFormUri = 
	function(form) {
		var action = form.attributes.getNamedItem('action');
		var method = form.attributes.getNamedItem('method');
		if (!method) {
			method = "get";
		} else {
			method = method.value;
		}
		
		var query = "";
		if (method.toLowerCase() == "get") {
			query = "?" + processFieldTree(form, true);
		}
		
		if (!action) {
			return getLocation() + query;
		}
		return action.value + query;
	};

	this.getFormBody = 
	function(form) {
		var action = form.attributes.getNamedItem('action');
		var method = form.attributes.getNamedItem('method');
		if (!method) {
			method = "get";
		} else {
			method = method.value;
		}
		
		if (method.toLowerCase() == "post") {
			var body = processFieldTree(form, false);
			return body;
		} else {
			return null;
		}
	};
};

org.jsxp.js.form.FormSupport.instance = new org.jsxp.js.form.FormSupport();







 