/*   Copyright 2012 Oliver Szymanski & David Tanzer

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package org.jsxp.framework.webroot.jsxpframework.examples.redirect;

public class Input {
	private boolean clientSideRedirect = false;
	private String redirectTarget = null;

	public String getRedirectTarget() {
		return redirectTarget;
	}

	public boolean isClientSideRedirect() {
		return clientSideRedirect;
	}

	public void setClientSideRedirect(final String clientSideRedirect) {
		this.clientSideRedirect = (clientSideRedirect != null && ("yes".equalsIgnoreCase(clientSideRedirect) || "true".equalsIgnoreCase(clientSideRedirect)));
	}

	public void setRedirectTarget(final String redirectTarget) {
		this.redirectTarget = redirectTarget;
	}
}