/*   Copyright 2012 Oliver Szymanski & David Tanzer

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package org.jsxp.framework.webroot.jsxpframework.components;

import org.jsxp.framework.ViewController;
import org.jsxp.framework.webroot.generated.jsxpframework.components.AbstractCommandXhtmlControllerGenerated;


/**
 * The Class AbstractCommandController. {@link ViewController} for the basic jsxp component
 * that supports a command pattern in jsxp. You can use this Controller as base class for you
 * view controller/jsxp components if they have no correspondent design files (e.g. if they
 * are just commands that redirect to result views).
 */
public class AbstractCommandController extends
AbstractCommandXhtmlControllerGenerated {

}
